XML Standard API: Interface HTMLDocument

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.dom.html
Interface HTMLDocument

All Superinterfaces:
  Document, Node

public interface HTMLDocument
extends Document

An `HTMLDocument` is the root of the HTML hierarchy andholds the entire content. Beside providing access to the hierarchy, italso provides some convenience methods for accessing certain sets ofinformation from the document.

The following properties have been deprecated in favor of the corresponding ones for the BODY element:alinkColorbackgroundbgColorfgColor linkColorvlinkColor

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`void` | `close()` Closes a document stream opened by `open()`and forces rendering.
`HTMLCollection` | `getAnchors()` A collection of all the anchor (`A`) elements in a document with a value for the `name` attribute.Note.
`HTMLCollection` | `getApplets()` A collection of all the `OBJECT` elements that includeapplets and `APPLET` (deprecated) elements ina document.
`HTMLElement` | `getBody()` The element that contains the content for the document.
`java.lang.String` | `getCookie()` The cookies associated with this document.
`java.lang.String` | `getDomain()` The domain name of the server that served the document, or a nullstring if the server cannot be identified by a domain name.
`Element` | `getElementById(java.lang.String elementId)` Returns the Element whose `id` is given by elementId.
`NodeList` | `getElementsByName(java.lang.String elementName)` Returns the (possibly empty) collection of elements whose`name` value is given by `elementName`.
`HTMLCollection` | `getForms()` A collection of all the forms of a document.
`HTMLCollection` | `getImages()` A collection of all the `IMG` elements in a document.The behavior is limited to `IMG` elements forbackwards compatibility.
`HTMLCollection` | `getLinks()` A collection of all `AREA` elements andanchor (`A`) elements in a documentwith a value for the `href` attribute.
`java.lang.String` | `getReferrer()` Returns the URI of the page that linked to this page.
`java.lang.String` | `getTitle()` The title of a document as specified by the `TITLE`element in the head of the document.
`java.lang.String` | `getURL()` The complete URI of the document.
`void` | `open()` Note.This method and the ones following allow a user to add to or replace the structuremodel of a document using strings of unparsed HTML.
`void` | `setBody(HTMLElement body)`
`void` | `setCookie(java.lang.String cookie)`
`void` | `setTitle(java.lang.String title)`
`void` | `write(java.lang.String text)` Write a string of text to a document stream opened by`open()`.
`void` | `writeln(java.lang.String text)` Write a string of text followed by a newline character to a document stream opened by `open()`.

Methods inherited from interface org.w3c.dom.Document
`adoptNode, createAttribute, createAttributeNS, createCDATASection, createComment, createDocumentFragment, createElement, createElementNS, createEntityReference, createProcessingInstruction, createTextNode, getDoctype, getDocumentElement, getDocumentURI, getDomConfig, getElementsByTagName, getElementsByTagNameNS, getImplementation, getInputEncoding, getStrictErrorChecking, getXmlEncoding, getXmlStandalone, getXmlVersion, importNode, normalizeDocument, renameNode, setDocumentURI, setStrictErrorChecking, setXmlStandalone, setXmlVersion`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

Method Detail

### getTitle

    public java.lang.String getTitle()

  The title of a document as specified by the `TITLE`element in the head of the document.

### setTitle

    public void setTitle(java.lang.String title)

### getReferrer

    public java.lang.String getReferrer()

  Returns the URI of the page that linked to this page. The value isan empty string if the user navigated to the page directly (notthrough a link, but, for example, via a bookmark).

### getDomain

    public java.lang.String getDomain()

  The domain name of the server that served the document, or a nullstring if the server cannot be identified by a domain name.

### getURL

    public java.lang.String getURL()

  The complete URI of the document.

### getBody

    public HTMLElement getBody()

  The element that contains the content for the document. In documentswith `BODY` contents, returns the `BODY`element, and in frameset documents, this returns the outermost`FRAMESET` element.

### setBody

    public void setBody(HTMLElement body)

### getImages

    public HTMLCollection getImages()

  A collection of all the `IMG` elements in a document.The behavior is limited to `IMG` elements forbackwards compatibility.

### getApplets

    public HTMLCollection getApplets()

  A collection of all the `OBJECT` elements that includeapplets and `APPLET` (deprecated) elements ina document.

### getLinks

    public HTMLCollection getLinks()

  A collection of all `AREA` elements andanchor (`A`) elements in a documentwith a value for the `href` attribute.

### getForms

    public HTMLCollection getForms()

  A collection of all the forms of a document.

### getAnchors

    public HTMLCollection getAnchors()

  A collection of all the anchor (`A`) elements in a document with a value for the `name` attribute.Note. For reasons of backwardscompatibility, the returned set of anchors only contains those anchors created with the `name` attribute, not those created with the `id` attribute.

### getCookie

    public java.lang.String getCookie()

  The cookies associated with this document. If there are none, thevalue is an empty string. Otherwise, the value is a string: asemicolon-delimited list of "name, value" pairs for all the cookiesassociated with the page. For example, `name=value;expires=date`.

### setCookie

    public void setCookie(java.lang.String cookie)

### open

    public void open()

  Note.This method and the ones following allow a user to add to or replace the structuremodel of a document using strings of unparsed HTML. At the time of writing alternate methods for providing similar functionality for both HTML and XML documents were being considered. The following methodsmay be deprecated at some point in the future in favor of a more general-purpose mechanism.
  Open a document stream for writing. If a document exists in the target, this method clears it.

### close

    public void close()

  Closes a document stream opened by `open()`and forces rendering.

### write

    public void write(java.lang.String text)

  Write a string of text to a document stream opened by`open()`. The text is parsed into the document's structuremodel.
  Parameters:
    `text` - The string to be parsed into some structure in the document structuremodel.

### writeln

    public void writeln(java.lang.String text)

  Write a string of text followed by a newline character to a document stream opened by `open()`. The text is parsed into the document's structure model.
  Parameters:
    `text` - The string to be parsed into some structure in the document structuremodel.

### getElementById

    public Element getElementById(java.lang.String elementId)

  Returns the Element whose `id` is given by elementId. If no such element exists, returns `null`. Behavior is not defined if more than one element has this `id`.
  Specified by:
    `getElementById` in interface `Document`
  Parameters:
    `elementId` - The unique `id` value for an element.
  Returns:
    The matching element.

### getElementsByName

    public NodeList getElementsByName(java.lang.String elementName)

  Returns the (possibly empty) collection of elements whose`name` value is given by `elementName`.
  Parameters:
    `elementName` - The `name` attribute value for an element.
  Returns:
    The matching elements.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2007 The Apache Software Foundation. All Rights Reserved.